.filter-wrapping {
  padding: 1em 8em;
  display: flex;
  justify-content: center;
}

.filter-wrapping .category-bar button {
  font-size: 0.9rem;
  font-weight: 600;
  padding: 0.7em 1.2em;
  border-radius: 1.1em;
  border: 0;
  margin-bottom: 1.5em;
  margin-right: 1em;
}

.filter-wrapping .category-bar .buttonCatLoading {
  width: 4rem;
  background-color: rgb(239, 239, 239);
  background-image: linear-gradient(
    89deg,
    rgb(239, 239, 239),
    rgb(224, 224, 224)
  );
  animation: 3.3s ease-in-out 1ms infinite normal backwards running
    animation-loading;
}

.filter-wrapping .category-bar button:hover {
  color: white;
  background-color: #fe024e;
}

.filter-wrapping .category-bar button:active {
  color: white;
  background-color: #eb507f;
}

.filter-wrapping .film-detail {
  width: 100%;
  display: flex;
  justify-content: space-evenly;
  flex-wrap: wrap;
  max-width: 1100px;
}

.filter-wrapping .film-detail a {
  text-decoration: none;
  color: rgb(49, 49, 49);
}

.filter-wrapping .film-detail .film-item {
  min-width: 200px;
  max-width: 201px;
  word-wrap: break-word;
  text-align: center;
  border-radius: 1rem;
}

.filter-wrapping .film-detail .film-item .overlay-category {
  visibility: hidden;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  height: 100%;
  background-color: rgba(235, 80, 127, 0.6);
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 1rem;
}

.filter-wrapping .film-detail .film-item .overlay-category a {
  max-width: 75%;
  text-decoration: none;
  padding: 0.5rem;
  background-color: #ffffff;
  color: #373737;
  font-size: 1rem;
  font-weight: 700;
  border-radius: 0.5rem;
  box-shadow: 0.5rem 0.5rem 2rem rgba(0, 0, 0, 0.2);
}

.filter-wrapping .film-detail .film-item .overlay-category a:hover {
  background-color: rgba(235, 80, 127, 0.6);
  color: white;
  /* font-size: 1em; */
  transition: all ease 0.3s;
}

.filter-wrapping .film-detail .film-item:hover .overlay-category {
  visibility: visible;
  animation: fade 0.3s;
}

.filter-wrapping .film-detail .film-item .film-cover {
  min-width: 200px;
  max-width: 201px;
  aspect-ratio: 3/4;
  background-color: #eb507f;
  position: relative;
  box-shadow: 0.1rem 0.1rem 1rem rgba(0, 0, 0, 0.2);
  border-radius: 1rem;
}

.filter-wrapping .film-detail .film-item .hp-loading {
  min-width: 200px;
  max-width: 201px;
  margin-bottom: 2rem;
  aspect-ratio: 3/4;
  background-color: rgb(239, 239, 239);
  background-image: linear-gradient(
    89deg,
    rgb(239, 239, 239),
    rgb(224, 224, 224)
  );
  animation: 3.3s ease-in-out 1ms infinite normal backwards running
    animation-loading;
}

.filter-wrapping .film-detail .film-item .film-cover img {
  width: 100%;
  height: 268px;
  object-fit: cover;
  border-radius: 1rem;
}

.filter-wrapping .film-detail .film-item h3 {
  margin: 0.5rem 0 0.1rem;
  font-size: 1.2rem;
  font-weight: 600;
  margin-bottom: 2rem;
}

.filter-wrapping .film-detail .film-item:hover h3 {
  visibility: hidden;
  margin: 0.5rem 0 0.1rem;
  font-size: 1.2rem;
  font-weight: 600;
  margin-bottom: 2rem;
  animation: fade 0.5s;
}

.filter-wrapping .film-detail .film-item h4 {
  margin: 0;
  margin-bottom: 2rem;
  font-size: 1rem;
}

@media screen and (max-width: 935px) {
  .filter-wrapping {
    text-align: center;
  }
  .filter-wrapping .film-detail {
    justify-content: space-evenly;
  }
}

/* LOADING */

@keyframes animation-loading {
  0% {
    background-position: -300px center;
  }
  100% {
    background-position: 300px center;
  }
}

@keyframes fade {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
